[**@rxap/config v19.1.0-dev.2**](../README.md)

***

[@rxap/config](../globals.md) / Paths

# Type Alias: Paths\<T, D\>

> **Paths**\<`T`, `D`\>: \[`D`\] *extends* \[`never`\] ? `never` : `T` *extends* `object` ? \{ \[K in keyof T\]-?: K extends string \| number ? \`$\{K\}\` \| Join\<K, Paths\<T\[K\], Prev\[D\]\>\> : never \}\[keyof `T`\] : `""`

Defined in: [types.ts:13](https://gitlab.com/rxap/packages/-/blob/c459fa39d2fc8f7b9433246faef548fd35a95c8b/packages/angular/config/src/lib/types.ts#L13)

## Type Parameters

• **T**

• **D** *extends* `number` = `10`
